<%@ page
	import="uk.ac.ed.epcc.webapp.*, uk.ac.ed.epcc.webapp.model.*,uk.ac.ed.epcc.safe.accounting.*"%>
<%@ include file="/session.jsf"%>
<%
	String page_title = service_name+" Accounting Property Information";
    String producer = request.getParameter("producer");
    AccountingService accounting_service = conn.getService(AccountingService.class);
    UsageProducer usage_producer;
    if( producer == null ){
    	usage_producer = accounting_service.getUsageProducer();
    }else{
    	// Note to get an alternate Manager you need to do name:ALL
    	usage_producer = accounting_service.getUsageProducer(producer);
    }
%>
<%@ include file="/std_header.jsf"%>
  <div class="block">
  <h1>Accounting Properties</h1>
  <P>Every accounting record consists of a set of properties. These properties can be generated 
  directly by parsing input data or they can be defined as an expression over other properties.
  </P>
  </div>
<%
  if( usage_producer == null ){
%>
  <div class="block">
  <h2>No Usage Producer</h2>
  <p>
  No accounting tables are defined for the requested accounting set.
  </p>
  </div>
<% }else{ 
	
  
  MultiFinder multi = new MultiFinder();
  multi.addFinder(usage_producer.getFinder());
 
  
  for (FixedPropertyFinder knownRegistry : multi.getNested()) {
	%>
		
	<div class="block">
 	<h2><%=knownRegistry.toString()%> Properties</h2>
 
	<p><%=knownRegistry.getDescription()%></p>
	<% 
	Set<PropertyTag> properties = new HashSet<PropertyTag>();
	for( PropertyTag p : knownRegistry.getProperties()){
		if( usage_producer.hasProperty(p)){
			properties.add(p);
		}
	}
	if (properties.size() <= 0) { %>
	  	<p>No <%=knownRegistry.toString()%> Properties are defined for the requested accounting set.</p>
	<%} else {%>
 		<table>
 			<tr>				
				<th>Name</th>		
				<th>Type</th>		
				<th>Implementation</th>								
			</tr>	
			<%for (PropertyTag property : properties) {	
				
					String propertyName = property.getName();
					String propertyFullName = property.getFullName();
					String propertyDescription = property.getDescription();
					String propertyType = property.getTarget().getSimpleName();
					String propertyImplementationInfo = 
						usage_producer.getImplemenationInfo(property);
				%>
				<tr>				
					<td title="<%=propertyDescription%>"><%=propertyFullName%></td>					
					<td><%=propertyType%></td>				
					<td><%=propertyImplementationInfo%></td>				
				</tr>		
			<%}%>
		</table>
	<%}%>
  	</div>
	  
 <%}

}%>

<%@ include file="/std_footer.jsf"%>