<%-- 
  login.jsp - The main login page for service users are directed here when not authenticated
              with the system.
              When using external auth this is used to register first time visitors unless the
              factory is set up to automatically create entries on the fly.
              (They Must be already authenticated by the container)
              When using password auth this presents the login page and gives an option to self-register.
              
              We can support a combination of password and optional external auth by using a RegisterServlet
              and the web_login service feature.

  Arguments:
  Note:
  Set session=false to avoid dropping a cookie until the user has indicated consent by logging in 
--%>
<%@ page session="false"
	import="uk.ac.ed.epcc.webapp.*, uk.ac.ed.epcc.webapp.model.*,uk.ac.ed.epcc.webapp.forms.html.*,java.util.*"%>
<%@ include file="/service_init.jsf"%>
<%
    if( conn == null ){
%>
<jsp:forward page="/messages.jsp">
<jsp:param name="message_type" value="internal_error"/>
<jsp:param name="message_extra" value="No AppContext"/>
</jsp:forward>
<%
	  return;
    }
%>
<%
    SessionService<?> serv = conn.getService(SessionService.class);
	if( serv == null ){
%>
<div class="block">
<H2>No login</H2>
<p>
Logins are not configured for this connection.
<p>
</div>
<%
	   return;
	}
	if(serv.haveCurrentUser() ) {
%>
<jsp:forward page="/main.jsp" />
<%	
		return;
	}
	String page_title = service_name+" Register";
%>
<%@ include file="/std_header.jsf"%>
<%
	AppUserFactory<?> fac = serv.getLoginFactory();
    
	if( fac instanceof ExtAuthAppUserFactory ){
	  ExtAuthAppUserFactory<?> person_fac = (ExtAuthAppUserFactory<?>) fac;
      String webname = conn.getService(ServletService.class).getWebName(); 
      if( webname==null || webname.length() == 0 || ! person_fac.allowSelfRegister()){ %>
<div class="block">
<H2>User not authenticated</H2>
<p>
Please authenticate with the web-server before registering with this service.
<p>
</div>

<%}else{ %>

<div class="block">
<h2>Register <%=webname %></h2>
<p>Welcome to the <%=service_name%>. </p>
<p> Please fill in this form to register with this service</p>
</div>

<%
     
     HTMLCreationForm person_form = new HTMLCreationForm("Person",person_fac.getSignupFormCreator(webname));
%>
<div class="block">
<%@ include file="/scripts/form_context.jsf" %>
  <h2>Your Details:</h2>
  <form method="post" action="<%= response.encodeURL(web_path+"/RegisterServlet") %>">
   <input type="hidden" name="action" value="REGISTER">
   <input type="hidden" name="form_url" value="<%=HTMLForm.getFormURL(request)%>">
      <table class="form">
        <%= person_form.getHtmlForm(request) %>
      </table>
  </form>
</div>


<% }
   }else{ 
	   PasswordAuthAppUserFactory<?> person_fac = (PasswordAuthAppUserFactory<?>) fac;
      // do password based login   
%>
<div class="block">
<h2>Login</h2>
<p>Welcome to the <%=service_name%>. </p>
<form method="post" action="<%= response.encodeURL(web_path+"/LoginServlet") %>"><%
	String prev_page = request.getParameter("page");
	if("session".equals(request.getParameter("error")) && (prev_page!=null)) {
	%>
   <input type="hidden" name="page" value="<%= prev_page %>" /> <% } %>
   <table class="form">
	<tr>
		<td><b><%=person_fac.getLoginNameLabel() %>:</b></td>
		<td><input type="text" class="input" name="username" /></td>
		<td>&nbsp;</td>
	</tr>
	<tr>

		<td><b>Password:</b></td>
		<td><input type="password" class="input" name="password" /></td>
		<td><input class="input_button" type="submit" value="Login" /></td>
	</tr>
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="2"><b>Request a new website password:</b></td>
		<td><input type="submit" name="email_password" value="Email"
			class="input_button" /></td>
	</tr>
  </table>
</form>
<% if(  conn.isFeatureOn("web_login") ){ %>
<form method="get" action="<%=web_path+conn.getInitParameter("service.web_login.url") %>">
<table class="form">
<tr>
<td><b><%=conn.getInitParameter("service.web_login.login-text") %></b></td>
<td><input class="input_button" type="submit" value="Go" /></td>
</tr>
</table>
</form>
<% } %>
<p>
<small><small>As part of its normal functioning when you log-in this website will install a temporary session cookie that will be removed when you log-off or close your browser. If you do not wish this cookie 
to be set, disable cookies in your browser settings.</small></small>
</p>
</div>

<div class="block">
<p>To sign up for an account on the <%=service_name%> click <a
	href='<%= response.encodeURL(web_path+"/signup.jsp") %>'><b>here</b></a>.
</p>
</div>
<% } %>
<%@ include file="/std_footer.jsf"%>