<%--
Generic page to implement form transitions

This should allways be forwarded to from the TransitionServlet where parameters are passed by
attribute.

Note that as the target and provider are encoded in the servlet-path
the form could just submit to self. 
--%>
<%@ page import="uk.ac.ed.epcc.webapp.forms.html.*" %>
<%@ page import="uk.ac.ed.epcc.webapp.forms.*" %>
<%@ page import="uk.ac.ed.epcc.webapp.forms.transition.*" %>
<%@ page import="uk.ac.ed.epcc.webapp.forms.inputs.*" %>
<%@ page import="uk.ac.ed.epcc.webapp.content.*" %>
<%@ include file="/session.jsf" %>
<% extra_css="service_desk.css"; %>
<%
    TransitionFactory tp = TransitionServlet.getProvider(conn,request);
    Object key =  request.getAttribute(TransitionServlet.TRANSITION_KEY_ATTR);
    // note key will always be null if page invoked directly.
    // As actions are performed by the servlet that does access control the only
    // risk is information leakage.
    if( tp == null || key == null ){
%>
<jsp:forward page="/messages.jsp?message_type=invalid_input" />
<%
       return;
    }
    Object target =   TransitionServlet.getTarget(conn,tp,request);
    String action = key.toString();
    String page_title="Transition";
    String page_heading="Transition";
    if( tp instanceof TitleTransitionProvider){
    	TitleTransitionProvider ttp = (TitleTransitionProvider)tp;
    	page_title=ttp.getTitle(key, target);
    	page_heading=ttp.getHeading(key, target);
    }else{
    	String type=tp.getTargetName();
    	String type_title = conn.getInitParameter("transition_title."+type,type);
    	if( type==null) type="";
		page_title = service_name+" "+action+" "+type_title;
		page_heading = action+" "+type_title;
    }
%>
<%@ include file="/std_header.jsf" %>
<%@ include file="/main__logged_in.jsf" %>
<%@ include file="/scripts/form_context.jsf" %>
<%
HTMLForm f = new HTMLForm(conn);
Transition t = tp.getTransition(target,key);
if( t instanceof FormTransition ){
	FormTransition ft = (FormTransition) t;
	ft.buildForm(f,target,conn);
}else if( t instanceof TargetLessTransition ){
	TargetLessTransition tlt = (TargetLessTransition) t;
	((TargetLessTransition)t).buildForm(f,conn);
}
boolean multi = f.containsInput(FileInput.class);
%>
<div class="block">
<h2><%=page_heading %></h2>
<% if(target != null ){ %>
<%= tp.getSummaryContent(conn,new HtmlBuilder(),target).toString() %>
<% } %>
<% if( t instanceof ExtraTransition ){ %>
<%= ((ExtraTransition) t).getExtraHtml(new HtmlBuilder(),session_service,target).toString() %>
<%} %>
<form method="post" 
<% if( multi ){ %>
   enctype="multipart/form-data"
<% } %>
action="<%= response.encodeURL(web_path+TransitionServlet.getURL(conn,tp,target))%>">
<input type='hidden' name='<%=TransitionServlet.TRANSITION_KEY_ATTR %>' value='<%=action %>'/>
<input type='hidden' name='transition_form' value='true'/>
<input type='hidden' name='form_url' value='/scripts/transition.jsp'/>
<%= f.getHtmlFieldTable(request) %>
<%= f.getActionButtons() %>
</form>
</div>

<%@ include file="/std_footer.jsf" %>
