#!/bin/bash
echo ================================================
echo GridSAFE-IGE Server MySQL database configuration
echo ================================================
echo
echo "This script will create a MySQL database 'gridsafe' and user 'gridsafe'"
echo "Please enter a password for the 'gridsafe' user:"
read -s pass1
echo
echo "Please re-enter to confirm:"
read -s pass2
if [ "$pass1" != "$pass2" ]; then 
	echo "Sorry, passwords do not match, exiting"
	exit 0
fi
echo
echo "Updating configuration files..."
sed "s/%GRIDSAFE_DB_PASS%/$pass1/" /usr/share/gridsafe-ige-server/gridsafe-mysql-setup.sql > /tmp/gridsafe-mysql-setup.sql
sed -i "s/%GRIDSAFE_DB_PASS%/$pass1/" /opt/gridsafe-ige/apache-tomcat-6.0.35/webapps/webacct/WEB-INF/classes/service-config.properties
cp /opt/gridsafe-ige/apache-tomcat-6.0.35/webapps/axis2/WEB-INF/services/rupi.aar /tmp
cd /tmp
unzip rupi.aar service-config.properties
sed -i "s/%GRIDSAFE_DB_PASS%/$pass1/" service-config.properties
zip -f rupi.aar service-config.properties
cp rupi.aar /opt/gridsafe-ige/apache-tomcat-6.0.35/webapps/axis2/WEB-INF/services/
rm rupi.aar service-config.properties
cd -
echo
echo "Enter your MySQL server root password:"
mysql -u root -p < /tmp/gridsafe-mysql-setup.sql && rm /tmp/gridsafe-mysql-setup.sql || exit 1
echo "[OK]"
